Modify

Opened 3 years ago

Closed 26 hours ago

#12029 closed defect (irreproducible)

Wrong rendering of way labels in persian font, only at specific zoom levels

Reported by: Don-vip Owned by: team
Priority: normal Milestone:
Component: Core mappaint Version:
Keywords: i18n right-to-left windows zoom font Cc: bastiK

Description

Weird rendering problem found while debugging #12025

What steps will reproduce the problem?

  1. Make sure advanced preference mapppaint.nameOrder starts with name
  2. Load osmwww:way/4430932
  3. Zoom out

What is the expected result?

  1. Persian name is displayed correctly at each zoom level

What happens instead?

  1. Rendering problems only at certain zoom levels, see below


Revision: 8966
Is-Local-Build: true
Build-Date: 2015-10-29 19:02:49

Identification: JOSM/1.5 (8966 SVN en) Windows 7 64-Bit
Memory Usage: 546 MB / 2708 MB (175 MB allocated, but free)
Java version: 1.8.0_66, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dfile.encoding=UTF-8]
Program arguments: [--debug]
Dataset consistency test: No problems found

Plugins:
- apache-commons (31718)
- geotools (31603)
- imagery-xml-bounds (31694)
- jts (31603)
- opendata (31695)
- utilsplugin2 (31694)

Attachments (1)

rendering_problem.gif (257.9 KB) - added by Don-vip 3 years ago.

Download all attachments as: .zip

Change History (9)

Changed 3 years ago by Don-vip

Attachment: rendering_problem.gif added

comment:1 Changed 3 years ago by Don-vip

Cc: bastiK added
Keywords: font added

Paul, do you have an idea what's going on here? Is it the same behaviour on Linux?

comment:2 Changed 3 years ago by Don-vip

Mmm with exact same data and zoom levels I can't reproduce the problem anymore. Is there some font cache involved in text rendering?

comment:3 Changed 3 years ago by Mesgary

I can not reproduce the bug. I don't know why it has happened to you!
Here you can see my info.

Revision: 8964
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: simon04
Last Changed Date: 2015-10-27 23:40:20 +0100 (Tue, 27 Oct 2015)
Build-Date: 2015-10-28 02:32:10
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8964

Identification: JOSM/1.5 (8964 en) Mac OS X 10.11
Memory Usage: 392 MB / 910 MB (107 MB allocated, but free)
Java version: 1.8.0_60, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.library.path=/Applications/JOSM.app/Contents/MacOS, -DLibraryDirectory=/Users/mesgary/Library, -DDocumentsDirectory=/Users/mesgary/Documents, -DApplicationSupportDirectory=/Users/mesgary/Library/Application Support, -DCachesDirectory=/Users/mesgary/Library/Caches, -DSandboxEnabled=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]
Dataset consistency test: No problems found

Plugins:
- measurement (31694)

comment:4 Changed 3 years ago by Don-vip

I think it may be specific to Windows.

comment:5 Changed 3 years ago by Mesgary

I can not check it with windows because my laptop which has windows runs with an older java version and due to sanction it is hard to update it

comment:6 Changed 3 years ago by bastiK

Cannot reproduce on Linux.

When zooming in, the font size of text along the way changes from 9 to 10, 11 and finally to 12. It looks as if font size 9 and 12 works fine, but in between, something goes wrong. Maybe a broken font file or a Java bug?

comment:7 Changed 3 months ago by Hb---

Cannot reproduce on Windows.

comment:8 Changed 26 hours ago by Don-vip

Resolution: irreproducible
Status: newclosed

Cannot reproduce anymore (Win10, Java 8u172, JOSM r13816).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.